Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162402 - gdb can't continue after receiving SIG33
Summary: gdb can't continue after receiving SIG33
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 05:29 UTC by Andrew Schultz
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-20 01:55:51 UTC


Attachments (Terms of Use)
testcase (deleted)
2005-07-04 05:29 UTC, Andrew Schultz
no flags Details

Description Andrew Schultz 2005-07-04 05:29:43 UTC
Description of problem:
While using gdb on a debug version of Mozilla and loading a particular page
(with flash), gdb breaks and reports that "Program received signal SIG33,
Real-time event 33."  Trying to continue produces more of these (one per thread,
perhaps) and then Mozilla seems to hang.  Mozilla does not hang if not running
under gdb.  Also (unfortunately), non-debug builds of Mozilla do not have this
problem.

I'm attaching a HTML testcase which causes the problem (not all pages with flash
have this problem).

Version-Release number of selected component (if applicable):
gdb-6.3.0.0-1.21
current Mozilla (SeaMonkey) trunk.  Firefox /hates/ gdb so I can't test it.

Actual results:
Program received signal SIG33, Real-time event 33.
[Switching to Thread -1243194448 (LWP 28948)]
0x00eee402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00eee402 in __kernel_vsyscall ()
#1  0x00a66a1c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x00e9c4da in pt_TimedWait (cv=0x9c4a974, ml=0x9c4a910, timeout=60000)
    at /build/andrew/moz-debug/mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x00e9c8f6 in PR_WaitCondVar (cvar=0x9c4a970, timeout=60000)
    at /build/andrew/moz-debug/mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
etc

Comment 1 Andrew Schultz 2005-07-04 05:29:44 UTC
Created attachment 116318 [details]
testcase

Comment 2 Nicholas Miell 2006-11-11 06:20:44 UTC
A workaround is to do "handle SIG33 nostop noprint pass" before running or
continuing a threaded program.

Comment 3 Christian Iseli 2007-01-20 00:20:14 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Andrew Schultz 2007-01-20 01:55:51 UTC
I don't see this bug with the attached testcase with FC6's gdb.


Note You need to log in before you can comment on or make changes to this bug.